<style scoped lang="less">

  .view {
    padding: 0 20px 40px;
    height: 100%;
    width: 100%;
  }

</style>

<template>

  <section class="view" :class="[name]">

    <loader v-if="showLoader"/>

    <slot></slot>

  </section>

</template>

<script>

  import Loader from 'UI/components/loader/loader.vue'

  export default {
    name:       'app-view',
    components: { Loader },
    props:      {
      showLoader: Boolean,
      name: String,
    },
  }

</script>

